Authors:
traff

Vagrant

Products: IntelliJ IDEA, WebStorm, AppCode

Vendor: JetBrains

Email: N/A

Website: N/A

Bugtracker page

Description:

Vagrant support Features:
  • Boxes management
  • Plugins management
  • Vagrant actions execution
Downloads: 7314
Rating:
Participated in rating: 2
Version Since Build Until Build File/URL Size (Kb) Date Details
0.3. 138.2458. 138.*. Download 1466.69 2014-09-26 12:37:33 details
0.2. 135.815. 138.*. Download 1014.98 2014-05-06 19:31:51 details
0.2. 135.445. 135.*. Download 1011.59 2014-03-23 05:24:36 details
0.1. 133.696. . Download 103.73 2014-01-29 23:14:23 details
0.1. 133.633. . Download 103.65 2014-01-17 19:45:35 details
. .
1 update is hidden show all updates
Screenshot #14393

Comments:

vanyatka
2014-09-20 19:33:33
Too bad not yet not compatible with Idea 14, even though its build version range match 138.*.
.
vanyatka
2014-09-11 11:46:05
Just wandering, what is the reason this only available in Ultimate Edition?
.
vayde
Rated:
2014-07-28 18:11:55
Works great. We use vagrant heavily for our development environments. This plugin makes interacting with vagrant very smooth and easy.
.
andresp
2014-05-28 03:33:37
It was because I was using the Community version. Thanks anyway.
.
andresp
2014-05-26 04:13:54
I'm getting a "Plugin Vagrant is incompatible with current installation" message when I try to manually install the plugin in Pycharm 3.1.3 via the zip file (it doesn't show in the list of plugins).
.
garaden
Rated:
2014-03-21 00:23:12
Very useful plugin! I'm having trouble with the "Remote SSH External Tools" setting in IntelliJ IDEA 13.1 though, on OS X. The "Default Remote Interpreter" radio button text is overwritten with "Current Vagrant".
.
traff
2014-03-20 20:04:13
Hi, I've updated the plugin to fix the exception you've mentioned.
.
Anonymous
2014-03-20 19:58:59
What versions are supported for Webstorm? I tried to install with 7 and 8 beta - said not supported.
.
Anonymous
2014-03-17 14:12:48
Thanks for the update! However, when I try to run vagrant (Tool->Vagrant->up) I got an error: org/jrubyparser/NodeVisitor: org/jrubyparser/NodeVisitor java.lang.NoClassDefFoundError: org/jrubyparser/NodeVisitor at com.jetbrains.plugins.vagrant.VagrantInstance.getVagrantFile(VagrantInstance.java:86) at com.jetbrains.plugins.vagrant.actions.VagrantUpAction.actionPerformed(VagrantUpAction.java:46) at com.intellij.openapi.actionSystem.ex.ActionUtil.performActionDumbAware(ActionUtil.java:164) at com.intellij.openapi.actionSystem.impl.ActionMenuItem$ActionTransmitter$1.run(ActionMenuItem.java:261) at com.intellij.openapi.wm.impl.FocusManagerImpl.runOnOwnContext(FocusManagerImpl.java:923) at com.intellij.openapi.wm.impl.IdeFocusManagerImpl.runOnOwnContext(IdeFocusManagerImpl.java:124) at com.intellij.openapi.actionSystem.impl.ActionMenuItem$ActionTransmitter.actionPerformed(ActionMenuItem.java:231) at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2018) at com.intellij.openapi.actionSystem.impl.ActionMenuItem.fireActionPerformed(ActionMenuItem.java:104) at com.intellij.ui.plaf.beg.BegMenuItemUI.a(BegMenuItemUI.java:512) at com.intellij.ui.plaf.beg.BegMenuItemUI.access$300(BegMenuItemUI.java:44) at com.intellij.ui.plaf.beg.BegMenuItemUI$MyMouseInputHandler.mouseReleased(BegMenuItemUI.java:532) at java.awt.Component.processMouseEvent(Component.java:6505) at javax.swing.JComponent.processMouseEvent(JComponent.java:3320) at java.awt.Component.processEvent(Component.java:6270) at java.awt.Container.processEvent(Container.java:2229) at java.awt.Component.dispatchEventImpl(Component.java:4861) at java.awt.Container.dispatchEventImpl(Container.java:2287) at java.awt.Component.dispatchEvent(Component.java:4687) at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4832) at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4492) at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4422) at java.awt.Container.dispatchEventImpl(Container.java:2273) at java.awt.Window.dispatchEventImpl(Window.java:2719) at java.awt.Component.dispatchEvent(Component.java:4687) at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:735) at java.awt.EventQueue.access$200(EventQueue.java:103) at java.awt.EventQueue$3.run(EventQueue.java:694) at java.awt.EventQueue$3.run(EventQueue.java:692) at java.security.AccessController.doPrivileged(Native Method) at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76) at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:87) at java.awt.EventQueue$4.run(EventQueue.java:708) at java.awt.EventQueue$4.run(EventQueue.java:706) at java.security.AccessController.doPrivileged(Native Method) at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76) at java.awt.EventQueue.dispatchEvent(EventQueue.java:705) at com.intellij.ide.IdeEventQueue.e(IdeEventQueue.java:697) at com.intellij.ide.IdeEventQueue._dispatchEvent(IdeEventQueue.java:520) at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:335) at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242) at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161) at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138) at java.awt.EventDispatchThread.run(EventDispatchThread.java:91) Caused by: java.lang.ClassNotFoundException: org.jrubyparser.NodeVisitor PluginClassLoader[org.jetbrains.plugins.vagrant, 0.2] at com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoader.java:68) at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ... 46 more
.
traff
2014-03-17 02:05:20
Plugin updated.
.
Anonymous
2014-03-15 15:15:12
Doesn't work in IDEA 13.1 (add boxes): NoSuchMethodError: com.intellij.execution.configurations.GeneralCommandLine.withPty(Z)Lcom/intellij/execution/configurations/GeneralCommandLine;: com.intellij.execution.configurations.GeneralCommandLine.withPty(Z)Lcom/intellij/execution/configurations/GeneralCommandLine;
.
Anonymous
2014-01-27 12:50:41
What versions of Idea does it support?
.
probe
2014-01-24 10:37:40
I can't see this pluing in intellij 13~~, I need it..
.
Anonymous
2014-01-19 18:02:46
I can't seem to find this plugin in intellij 13 evaluation. considering updating from 12 and vagrant support would cement my move.
.